> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# アカウントの削除

> ユーザーのアカウントを恒久的に削除するエンドポイントです。

## DELETE /accounts

認証済みユーザーのアカウントおよび、サイト・API キー・URL ディスカバリー・ジョブなど関連データをすべて恒久的に削除します。

<Warning>
  取り消しのできない操作です。削除後はデータはすべて消去され、復元できません。
</Warning>

### レスポンス

<ResponseField name="success" type="boolean">
  アカウント削除が成功したかどうか。
</ResponseField>

<ResponseField name="message" type="string">
  ステータスメッセージ。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.llmgenerator.com/api/v1/accounts \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/accounts',
    {
      method: 'DELETE',
      headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
  );
  ```
</RequestExample>

<ResponseExample>
  ```json 成功 (200) theme={null}
  {
    "success": true,
    "message": "Account deleted successfully"
  }
  ```

  ```json 未認証 (401) theme={null}
  {
    "message": "API key context not found"
  }
  ```
</ResponseExample>
